# $Id: smeserver-php5-cgi.spec,v 1.3 2009/03/04 15:04:57 slords Exp $
# Authority: nocvs
# Name: David Harper

%define name smeserver-php5-cgi
%define version 1.0
%define release 2
Summary: SME Server integration RPM for PHP5-CGI packages
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.david-harper.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: php5-cgi >= 5.2.8
Requires: php5-cgi-mysql >= 5.2.8
Requires: php5-cgi-ldap >= 5.2.8
Requires: php5-cgi-pear >= 5.2.8
Requires: php5-cgi-xmlrpc >= 5.2.8
Requires: php5-cgi-imap >= 5.2.8
AutoReqProv: no

%description
SME Server integration RPM for Firewall Services' PHP5-CGI packages

%changelog
* Wed Jan 7 2008 David Harper <davidiwharper@hotmail.com> 1.0-2
- support for PHP 5.2.8
- templating bug fixes
* Tue Jan 6 2008 David Harper <davidiwharper@hotmail.com> 1.0-1
- initial release

%prep
%setup -c -n %{name}-%{version}
mv %{name}-%{version} root/

%build
%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
# echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version} 

%pre
%preun
%post
echo ""
echo "see http://wiki.contribs.org/PHP5 for more information"

%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/bin/sv h /service/httpd-e-smith
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

